IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CF_Turno_Producto_Cobrar]') 
                   and Type = 'FN' )
BEGIN
    DROP FUNCTION dbo.CF_Turno_Producto_Cobrar 
END
GO

CREATE FUNCTION [dbo].[CF_Turno_Producto_Cobrar](@pId_Recurso_Horario INT, @pId_Sector_Turno INT)
RETURNS VARCHAR(14)
AS
BEGIN

DECLARE @Respuesta  VARCHAR(14)

SET @Respuesta =''

IF (@pId_Sector_Turno<>0)
BEGIN
	SET @Respuesta = (SELECT Id_Producto FROM Empresas_Sedes_Sec_Turnos WHERE Id_Sector_Turno=@pId_Sector_Turno)
END

IF (ISNULL(@Respuesta,'')='')
BEGIN
	SET @Respuesta = (SELECT Id_Producto FROM Empresas_Sedes_Sec_Recuros_Horarios WHERE Id_Recurso_Horario=@pId_Recurso_Horario) 
END

	


RETURN ISNULL(@Respuesta, '')
END